<?php
require_once('../modelo/clsCategoria.php');
require_once('../phpExcel/PHPExcel.php');

controlador($_POST['accion']);

function controlador($accion){
	$objCat = new clsCategoria();

	switch ($accion) {
		case 'NUEVO':
			$resultado = array();
			try {
				
				$nombre = mb_strtoupper($_POST['nombre']);
				$estado = $_POST['estado'];

				$existeCategoria = $objCat->verificarDuplicado($nombre);
				if($existeCategoria->rowCount()>0){
					throw new Exception("Existe una categoria con el mismo nombre");
				}

				$objCat->insertarCategoria($nombre,$estado);
				$resultado['correcto']=1;
				$resultado['mensaje']= "Categoria Registrada de forma satisfactoria.";

				echo json_encode($resultado);

			} catch (Exception $e) {
				$resultado['correcto']=0;
				$resultado['mensaje']= "No se pudo registrar la Categoria. ".$e->getMessage();

				echo json_encode($resultado);
			}
			break;

		case 'CONSULTAR_CATEGORIA':
			try {

				$idcategoria = $_POST['idcategoria'];
				$resultado = $objCat->consultarCategoriaPorId($idcategoria);
				$resultado = $resultado->fetch(PDO::FETCH_NAMED);

				echo json_encode($resultado);
				
			} catch (Exception $e) {
				$resultado = array('correcto'=>0, 'mensaje'=>$e->getMessage());
				echo json_encode($resultado);
			}
			break;

		case 'ACTUALIZAR':
			$resultado = array();
			try {
				
				$nombre = mb_strtoupper($_POST['nombre']);
				$estado = $_POST['estado'];
				$idcategoria = $_POST['idcategoria'];

				$existeCategoria = $objCat->verificarDuplicado($nombre,$idcategoria);
				if($existeCategoria->rowCount()>0){
					throw new Exception("Existe una categoria con el mismo nombre");
				}

				$objCat->actualizarCategoria($idcategoria,$nombre,$estado);
				$resultado['correcto']=1;
				$resultado['mensaje']= "Categoria Actualizad de forma satisfactoria.";

				echo json_encode($resultado);

			} catch (Exception $e) {
				$resultado['correcto']=0;
				$resultado['mensaje']= "No se pudo actualizar la Categoria. ".$e->getMessage();

				echo json_encode($resultado);
			}
			break;

		case 'CAMBIAR_ESTADO_CATEGORIA':
			try {

				$idcategoria = $_POST['idcategoria'];
				$estado = $_POST['estado'];

				$arrayEstado = array('ANULADA','ACTIVADA','ELIMINADA');

				$objCat->actualizarEstadoCategoria($idcategoria, $estado);
				$resultado = array('correcto'=>1, 'mensaje'=>'La Categoria ha sido '.$arrayEstado[$estado].' de forma satisfactoria.');

				echo json_encode($resultado);
				
			} catch (Exception $e) {
				$resultado = array('correcto'=>0, 'mensaje'=>$e->getMessage());
				echo json_encode($resultado);
			}
			break;

		case "IMPORTAR_DATA_EXCEL":
			try{
				global $cnx;
				$cnx->setAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION);
				$cnx->beginTransaction();

				//verificar Archivo
				if ( !empty( $_FILES ) ){
					$tempPath = $_FILES[ 'file' ][ 'tmp_name' ];
					$namefile = str_replace(" ", "_", $_FILES['file']['name']);

					$urlbase="../files/documentoexcel";
					if (!file_exists($urlbase) && !is_dir($urlbase)){
						 mkdir($urlbase,0777);
					 }

					$nombre = $namefile;
					$uploadPath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR .$urlbase. DIRECTORY_SEPARATOR .$nombre;
					move_uploaded_file( $tempPath, $uploadPath );
				}else{
					throw new Exception(" Debe Seleccionar el Archivo a Importar.");	
				}
				//

				//@Agregar Categoria del excel a la BD
				$archivo = $urlbase.'/'.$nombre;
				$inputFileType = PHPExcel_IOFactory::identify($archivo);
				$objReader = PHPExcel_IOFactory::createReader($inputFileType);
				$objPHPExcel = $objReader->load($archivo);
				$sheet = $objPHPExcel->getSheet(0);
				$highestRow = $sheet->getHighestRow();
				$highestColumn = $sheet->getHighestColumn();

				for ($row = 2; $row <= $highestRow; $row++){
					
					//Busqueda de elementos
					if($sheet->getCell("A".$row)->getValue() != ''){
						$nombre = $sheet->getCell("A".$row)->getValue();
						$estado = 1;

						$existeCategoria = $objCat->verificarDuplicado($nombre);
						if($existeCategoria->rowCount()>0){
							// throw new Exception("Existe una categoria con el mismo nombre", 1);
						}else{
							$objCat->insertarCategoria($nombre, $estado);
						}
					}

				}
				//@FIN

				unlink($archivo);


				$cnx->commit();
				echo "Datos registrado de forma satisfactoria.";
			}catch(Exception $e){
					$cnx->rollBack();
				echo "*** Error al registrar datos. ". $e->getMessage();
			}
			break;
		
		default:
			echo 'ACCION NO EXISTE';
			break;

	}

}

?>