<?php
require_once('../modelo/clsProducto.php');

controlador($_POST['accion']);

function controlador($accion){
	$objPro = new clsProducto();

	switch ($accion) {
		case 'NUEVO':
			$resultado = array();
			try {
				
				$codigo = $_POST['codigobarra'];
				$nombre = mb_strtoupper($_POST['nombre']);
				$estado = $_POST['estado'];
				$pventa = $_POST['pventa'];
				$pcompra = $_POST['pcompra'];
				$stock = $_POST['stock'];
				$idunidad  = $_POST['idunidad'];
				$idcategoria = $_POST['idcategoria'];
				$idafectacion = $_POST['idafectacion'];
				$afectoicbper = $_POST['afectoicbper'];
				$stockseguridad = $_POST['stockseguridad'];

				$existeProducto = $objPro->verificarDuplicado($nombre);
				if($existeProducto->rowCount()>0){
					throw new Exception("Existe un Producto con el mismo nombre");
				}

				$objPro->insertarProducto($nombre, $codigo, $pventa, $pcompra, $stock, $idunidad, $idcategoria, $idafectacion, $afectoicbper, $estado, $stockseguridad);
				$resultado['correcto']=1;
				$resultado['mensaje']= "Producto Registrado de forma satisfactoria.";

				echo json_encode($resultado);

			} catch (Exception $e) {
				$resultado['correcto']=0;
				$resultado['mensaje']= "No se pudo registrar el Producto. ".$e->getMessage();

				echo json_encode($resultado);
			}
			break;

		// case 'CONSULTAR_CATEGORIA':
		// 	try {

		// 		$idcategoria = $_POST['idcategoria'];
		// 		$resultado = $objCat->consultarCategoriaPorId($idcategoria);
		// 		$resultado = $resultado->fetch(PDO::FETCH_NAMED);

		// 		echo json_encode($resultado);
				
		// 	} catch (Exception $e) {
		// 		$resultado = array('correcto'=>0, 'mensaje'=>$e->getMessage());
		// 		echo json_encode($resultado);
		// 	}
		// 	break;

		case 'ACTUALIZAR':
			$resultado = array();
			try {
				
				$codigo = $_POST['codigobarra'];
				$nombre = mb_strtoupper($_POST['nombre']);
				$estado = $_POST['estado'];
				$pventa = $_POST['pventa'];
				$pcompra = $_POST['pcompra'];
				$stock = $_POST['stock'];
				$idunidad  = $_POST['idunidad'];
				$idcategoria = $_POST['idcategoria'];
				$idafectacion = $_POST['idafectacion'];
				$afectoicbper = $_POST['afectoicbper'];
				$stockseguridad = $_POST['stockseguridad'];
				$idproducto = $_POST['idproducto'];

				$existeProducto = $objPro->verificarDuplicado($nombre,$idproducto);
				if($existeProducto->rowCount()>0){
					throw new Exception("Existe un producto con el mismo nombre");
				}

				$objPro->actualizarProducto($nombre, $codigo, $pventa, $pcompra, $stock, $idunidad, $idcategoria, $idafectacion, $afectoicbper, $estado, $stockseguridad,$idproducto);
				$resultado['correcto']=1;
				$resultado['mensaje']= "Producto Actualizado de forma satisfactoria.";

				echo json_encode($resultado);

			} catch (Exception $e) {
				$resultado['correcto']=0;
				$resultado['mensaje']= "No se pudo actualizar el producto. ".$e->getMessage();

				echo json_encode($resultado);
			}
			break;

		case 'CAMBIAR_ESTADO_PRODUCTO':
			try {

				$idproducto = $_POST['idproducto'];
				$estado = $_POST['estado'];

				$arrayEstado = array('ANULADO','ACTIVADO','ELIMINADO');

				$objPro->actualizarEstadoProducto($idproducto, $estado);
				$resultado = array('correcto'=>1, 'mensaje'=>'El Producto ha sido '.$arrayEstado[$estado].' de forma satisfactoria.');

				echo json_encode($resultado);
				
			} catch (Exception $e) {
				$resultado = array('correcto'=>0, 'mensaje'=>$e->getMessage());
				echo json_encode($resultado);
			}
			break;

		case 'SUBIR_ARCHIVO':
			try {

				$idproducto = $_POST['idproducto'];
				if(empty($_FILES)) {
					throw new Exception("No se encontraron archivos para cargar.");
				}

				$archivo = $_FILES['uploadFile'];
				$nombre_imagen = 'IMG_'.$idproducto.$archivo['name'];
				$ruta = "imagen/productos/".$nombre_imagen;

				move_uploaded_file($archivo["tmp_name"], '../'.$ruta);

				$objPro->actualizarImagen($idproducto, $ruta);

				echo '[]';
			} catch (Exception $e) {
				$resultado = array('correcto'=>0, 'mensaje'=>$e->getMessage());
				echo json_encode($resultado);
			}
			break;
		
		default:
			echo 'ACCION NO EXISTE';
			break;

	}

}

?>